Subject: bug#7151: `set-marker' narrowing and proposed feature `buffer-narrowed-p'

From: Chong Yidong <[email-masked]>
Date: Fri, 07 Sep 2012 17:00:20 +0800

MON KEY <[email-masked]> writes:

> Some mention in the above section should be made of `buffer-size' so users can
> now how to check if the buffer is narrowed.

Done.  Thanks for the suggestion.

> Likewise, docstrings of `>', `<', `<=', `>=', all indicate their
> arguments:
> | Both must be numbers or markers.
> There is a discrepancy here in that the following signals an error:
>
> (let ((mk-mrk (make-marker)))
>   (set-marker mk-mrk nil)
>   (> mk-mrk (point-max)))
> ;=> (error "Marker does not point anywhere")
>
> I think some mention of these anomalies should be made in the
> respective docs in addition to the scattered lisp service provided by
> the manual.

I don't think this is worth documenting; we don't document every single
error condition, and this one is easy to figure out.

> I would also like to propose addition of a new function
> `buffer-narrowed-p'.

Thanks for the suggestion.  I committed a much simpler version.